org.wildfly.swarm.microprofile.openapi.api.models

## Class ExtensibleImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

- All Implemented Interfaces:
    ModelImpl
  Direct Known Subclasses:
    APIResponseImpl, ComponentsImpl, ContactImpl, EncodingImpl, ExampleImpl, ExternalDocumentationImpl, HeaderImpl, InfoImpl, LicenseImpl, LinkImpl, MediaTypeImpl, OAuthFlowImpl, OAuthFlowsImpl, OpenAPIImpl, OperationImpl, ParameterImpl, PathItemImpl, RequestBodyImpl, SchemaImpl, SecuritySchemeImpl, ServerImpl, ServerVariableImpl, TagImpl, XMLImpl

      public abstract class ExtensibleImpl
      extends Object
      implements ModelImpl

  Implementation of the `Extensible` OpenAPI model interface. Base class for many of the OpenAPI models.
  Author:
    eric.wittmann@gmail.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensibleImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(String name, Object value)`
    `Map<String,Object>` | `getExtensions()`
    `void` | `setExtensions(Map<String,Object> extensions)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensibleImpl

          public ExtensibleImpl()

  - ### Method Detail

    - #### getExtensions

          public Map<String,Object> getExtensions()

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#getExtensions()`

    - #### addExtension

          public void addExtension(String name,
                                   Object value)

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#addExtension(java.lang.String, java.lang.Object)`

    - #### setExtensions

          public void setExtensions(Map<String,Object> extensions)

      See Also:
        `org.eclipse.microprofile.openapi.models.Extensible#setExtensions(java.util.Map)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.